Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 396281

Summary: dev-ruby/fxruby-1.6.20 uses CFLAGS instead of CXXFLAGS
Product: Gentoo Linux Reporter: Agostino Sarubbo <ago>
Component: New packagesAssignee: Gentoo Ruby Team <ruby>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugs.ruby-lang.org/issues/6504
Whiteboard:
Package list:
Runtime testing required: ---

Description Agostino Sarubbo gentoo-dev 2011-12-28 10:31:46 UTC
From build log, e.g. :

g++ -I. -I. -I/usr/lib64/ruby/1.8/x86_64-linux -I. -DHAVE_SYS_TIME_H -DHAVE_SIGNAL_H -I/usr/local/include/fxscintilla -I/usr/local/include/fox-1.6    -I/usr/include/fox-1.6 -I/usr/include/fxscintilla -fPIC -march=native -O2 -g0 -fno-strict-aliasing  -fPIC  -O0 -I./include -DWITH_FXSCINTILLA -DHAVE_FOX_1_6   -c scintilla_wrap.cpp


this is c++ code, should be compiled with CXXFLAGS

from my emerge --info:

CFLAGS="-march=native -O2 -g0"
CXXFLAGS="-march=native -O2"
Comment 1 Hans de Graaff gentoo-dev 2011-12-31 16:42:17 UTC
This turns out not so easy to fix because the build system collects all the -I flags in CFLAGS as well.
Comment 2 Agostino Sarubbo gentoo-dev 2011-12-31 16:48:32 UTC
(In reply to comment #1)
> This turns out not so easy to fix because the build system collects all the -I
> flags in CFLAGS as well.

If you have time you can just poke upstream about it ;)
Comment 3 Hans de Graaff gentoo-dev 2012-05-27 09:32:24 UTC
Now filed this upstream with ruby itself since fxruby pointed out that this is a consequence of how mkmf.rb handles things.
Comment 4 Hans de Graaff gentoo-dev 2015-02-24 07:04:10 UTC
This was actually a bug in dev-lang/ruby, and it has been fixed two years ago. Our current ruby:2.0, ruby:2.1, and ruby:2.2 all have this fix. This issue was not fixed in ruby:1.9 by upstream since that version was no longer actively maintained (and it currently declared end-of-life).